Forum

old browsers and unsupported devices

19 November 2014 16:36
Blend4web web player should say something for users that do not have webGL capable browser.
Like "Your browser does not support webGL!"

Or even better when it shows some prerendered image and a message that 3D is not supported.
19 November 2014 16:51
For now it shows these messages. We are thinking about specifying a fallback image, thanks for suggesting.


The Founder | Twitter
26 November 2014 10:18
Maybe even a prerendered mp4-video instead 3D content when 3D is not supported.
There are quite a lot of low-end smartphones and tablets that can't play 3D in browser but can play html5 video.
26 November 2014 16:16
The fallback image feature has been implemented and will be available by the weekend. Thanks for suggesting fallback video - the idea is brilliant.
The Founder | Twitter
30 December 2014 22:52
Perhaps it would be nice for us to be able to customize this; or add a specific note.
30 December 2014 22:59
WebGL unsupported error message is hard-coded. However, you may use a fallback_image url parameter in order to show your own image instead of this unpleasant message, with your own words on it
The Founder | Twitter
19 February 2015 17:01
Maybe even a prerendered mp4-video instead 3D content when 3D is not supported.
There are quite a lot of low-end smartphones and tablets that can't play 3D in browser but can play html5 video.

This has been implemented as a fallback_video URL parameter. Just wait for 15.02.
The Founder | Twitter
 
Please register or log in to leave a reply.